package com.ys.bdtp.adm.mvvm.model.db.converter

import androidx.room.TypeConverter
import com.google.gson.JsonElement
import com.google.gson.JsonParser

/**
 * Gson 转换器
 */
class GsonConverter {
    @TypeConverter
    fun jsonToString(json: JsonElement?): String {
        return json?.toString() ?: ""
    }

    @TypeConverter
    fun jsonToString(string: String?): JsonElement? {
        if (string.isNullOrEmpty()) return null
        return JsonParser.parseString(string)
    }
}